> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/inquirypricemodifyeipbandwidth.md).

# InquiryPriceModifyEipBandwidth

## 1. API Description

This API (InquiryPriceModifyEipBandwidth) is used to inquire the price after adjusting the EIP bandwidth

{% hint style="info" %}
**Notes**

* Only EIPs in an available state (`BINDED` or `UNBIND`) billed by bandwidth (`ByBandwidth`) support this operation.
* The international route (PathBasedBandwidthIP) does not support this operation.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                           |
| -------------- | -------- | ------- | ------------------------------------------------------------------------------------- |
| eipId          | Yes      | String  | The elastic IP to operate on.                                                         |
| bandwidth      | Yes      | Integer | <p>Bandwidth limit after adjustment.</p><p>Unit: Mbps.</p><p>Value range: \[1, +)</p> |

## 3. Output Parameters

| Parameter Name       | Type                                                                                                          | Description                                                                                                                                                                                            |
| -------------------- | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| requestId            | String                                                                                                        | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                                                                  |
| eipPrice             | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Retention price of the elastic IP.</p><p>Null for IPs created via CIDR.</p>                                                                                                                         |
| bandwidthPrice       | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Bandwidth price for the elastic IP.</p><p>Null for the PathBasedBandwidthIP line type; see <code>bandwidthPrices</code> for details.</p>                                                            |
| bandwidthPrices      | Array of [BandwidthPriceResponseItem](/api-reference/compute/zec/datastructure.md#bandwidthpriceresponseitem) | <p>Bandwidth price details for each traffic direction.</p><p>Multiple items are returned for the PathBasedBandwidthIP line type; a single item (trafficType=ALL) is returned for other line types.</p> |
| remoteBandwidthPrice | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Bandwidth price for Remote IPT.</p><p>Null when Remote IPT is not enabled for the EIP.</p>                                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Inquires the price after adjusting the EIP bandwidth to 20 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceModifyEipBandwidth
<Common Request Params>

Request:
{
  "eipId": "eip-xxx",
  "bandwidth": 20
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "eipPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.005,
      "discountUnitPrice": 0.005,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.02,
      "discountUnitPrice": 0.02,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
    "bandwidthPrices": [
      {
        "trafficType": "ALL",
        "price": {
          "discount": 100.0,
          "discountPrice": null,
          "originalPrice": null,
          "unitPrice": 0.02,
          "discountUnitPrice": 0.02,
          "chargeUnit": "HOUR",
          "stepPrices": null
        }
      }
    ],
    "remoteBandwidthPrice": null
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                                  | Description                                                      |
| ---------------- | ----------------------------------------------------------- | ---------------------------------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND                                    | Elastic IP does not exist.                                       |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT                | Operation is not supported for the elastic IP in current status. |
| 400              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT     | IP network billing type is not supported.                        |
| 400              | OPERATION\_DENIED\_EIP\_UNSUPPORTED\_INTERNET\_CHARGE\_TYPE | The target network billing method is not supported.              |
| 400              | INVALID\_PARAMETER\_BANDWIDTH\_EXCEED                       | Bandwidth size exceeds the upper limit.                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/inquirypricemodifyeipbandwidth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
